/* ==========================================================================
   Twitter widget style - begin
   ========================================================================== */

.widget.widget_mkdf_twitter_widget {

    margin: 0 0 20px;

    > h4 {
        margin: 0 0 8px;
    }

    .mkdf-twitter-widget {
        @include mkdfRelativeHolderLayout();
        margin: 0;

        li {
            @include mkdfRelativeHolderLayout();

            &:not(:last-child) {
                margin: 0 0 12px !important;
            }

            .mkdf-tweet-text {
                position: relative;

                a {
                    position: relative;
                    line-height: inherit;
                    color: inherit;

                    &.mkdf-tweet-time {
                        display: block;

                        span {
                            margin: 0 2px 0 0;
                        }
                    }
                }
            }
        }

        &.mkdf-twitter-standard {

            li {

                .mkdf-twitter-icon {
                    position: absolute;
                    top: 2px;
                    left: 0;

                    i {
                        font-size: 18px;
                    }
                }

                .mkdf-tweet-text {
                    padding: 0 0 0 28px;
                    font-size: 15px;

                    a,
                    span {
                        color: $default-heading-color;
                    }

                    a {

                        &:hover {
                            color: $first-main-color;
                        }
                    }
                }
            }
        }

        &.mkdf-twitter-slider {
            @include mkdfRelativeHolderLayout();
            padding: 0 40px;
            text-align: center;
            box-sizing: border-box;

            li {
                overflow: hidden;

                .mkdf-twitter-icon {

                    i {
                        font-size: 16px;
                        color: $first-main-color;
                    }
                }

                .mkdf-tweet-text {
                    font-size: 14px;

                    a,
                    span {
                        color: $first-main-color;
                    }

                    a {

                        &:hover {
                            color: $default-heading-color;
                        }

                        &.mkdf-tweet-time {
                            margin: 21px 0 0;
                        }
                    }
                }
            }
    
            .owl-nav {
                
                .owl-prev {
                    left: 0;
                }
    
                .owl-next {
                    right: 0;
                }
            }
        }
    }
}
/* ==========================================================================
   Twitter widget style - end
   ========================================================================== */